import request from '@/utils/request';
//打卡列表分页查询
export function getList(data) {
  const param =
    '?page=' +
    data.page +
    '&size=' +
    data.size +
    '&projectId=' +
    data.projectId;
  return request({
    url: '/vehicle/list' + param,
    method: 'get',
    data,
  });
}

//获取设备，设备详情，位置信息
export function getDeviceList(data) {
  return request({
    url: '/tq/api/getDeviceList',
    method: 'get',
    data,
  });
}

//项目列表
export function getProjects(data) {
  return request({
    url: '/tq/api/projects',
    method: 'get',
    data,
  });
}

//途强设备与力鼎项目（支持多个）绑定
export function bindProject(data) {
  return request({
    url:
      '/tq/api/bindProject?imei=' +
      data.imei +
      '&num=' +
      data.num +
      '&projectIds=' +
      data.projectIds,
    method: 'post',
    data,
  });
}
